{
    "uri": "{{ api_management_settings.frost_api_path }}*",
    "name": "{{ api_management_settings.frost_api_name }} Read",
    "desc": "{{ api_management_settings.frost_api_description }}",
    "methods": [
      "GET"
    ],
    "plugins": {
      "prometheus": {
        "_meta": {
          "disable": false
        },
        "prefer_name": true
      },
      "loki-logger": {
        "batch_max_size": 1000,
        "buffer_duration": 60,
        "endpoint_addrs": [
          "http://loki.{{ api_management_settings.plugins.loki_logger.ns }}:3100"
        ],
        "endpoint_uri": "/loki/api/v1/push",
        "inactive_timeout": 5,
        "include_req_body": true,
        "include_resp_body": true,
        "keepalive": true,
        "keepalive_pool": 5,
        "keepalive_timeout": 60000,
        "log_labels": {
          "job": "{{ api_management_settings.plugins.loki_logger.job_label }}",
          "upstream": "{{ api_management_settings.frost_api_loki_logger_label }}",
          "route": "{{api_management_settings.frost_api_loki_logger_label}}_read",
        },
        "max_retry_count": 0,
        "name": "loki logger",
        "retry_delay": 1,
        "ssl_verify": false,
        "tenant_id": "fake",
        "timeout": 3000
      },
      "openid-connect": {
        "_meta": {
          "disable": false
        },
        "accept_none_alg": false,
        "accept_unsupported_alg": true,
        "access_token_expires_leeway": 0,
        "access_token_in_authorization_header": false,
        "bearer_only": true,
        "client_id": "{{ IDM_CLIENT.API_ACCESS }}",
        "client_jwt_assertion_expires_in": 60,
        "client_secret": "{{ api_access_client_secret }}",
        "discovery": "https://idm.{{ DOMAIN }}/auth/realms/{{ inv_idm.keycloak.realm_name }}/.well-known/openid-configuration",
        "force_reauthorize": false,
        "iat_slack": 120,
        "introspection_endpoint": "https://idm.{{ DOMAIN }}/auth/realms/{{ inv_idm.keycloak.realm_name }}/protocol/openid-connect/token/introspect",
        "introspection_endpoint_auth_method": "post",
        "introspection_interval": 0,
        "jwk_expires_in": 86400,
        "jwt_verification_cache_ignore": false,
        "logout_path": "/logout",
        "realm": "{{ inv_idm.keycloak.realm_name }}",
        "renew_access_token_on_expiry": true,
        "required_scopes": [
          "api:read"
        ],
        "revoke_tokens_on_logout": false,
        "scope": "openid",
        "set_access_token_header": true,
        "set_id_token_header": true,
        "set_refresh_token_header": false,
        "set_userinfo_header": true,
        "ssl_verify": false,
        "timeout": 3,
        "token_endpoint_auth_method": "client_secret_basic",
        "unauth_action": "auth",
        "use_nonce": false,
        "use_pkce": false
      },
      "proxy-rewrite": {
        "regex_uri": [
          "{{ api_management_settings.frost_api_path }}",
          "/FROST-Server/"
        ]
      },
      "response-rewrite": {
        "_meta": {
          "disable": false
        },
        "body_base64": false,
        "filters": [
          {
            "options": "jo",
            "regex": "http://frost-server:",
            "replace": "https://api.{{ DOMAIN }}{{ api_management_settings.frost_api_path[0:-1] }}",
            "scope": "global"
          }
        ]
      }
    },
    "upstream_id": "{{ frost_upstream_id }}",
    "status": 1
  }